'use strict';
{
    // 引数を２つ設定する
    function animObserver(elements, timimg) {
        // オプション
        const options = {
            root: null,
            // timingをセット
            rootMargin: `0px 0px ${timimg}px 0px`,
            threshold: [0]
        }
    
        // 処理
        function callback(entries) {
            console.log(entries); /* entriesは配列 */
            entries.forEach(entry => {
                console.log(entry); /* entryを取り出す */
                // entry.isIntersectingがtrueの時だけ処理を実行する
                if (entry.isIntersecting) {
                    entry.target.classList.add('fadeIn');
                }
            });
        }
    
        // 初期化
        const observer = new IntersectionObserver(callback, options);
    
        // 監視を開始
        // elementsをセットする
        elements.forEach(target => {
            observer.observe(target);
        });
    }

    // DOM取得
    const targets = document.querySelectorAll('.anim');
    // anim2を取得
    const targets2 = document.querySelectorAll('.anim2');

    // 関数を実行
    // 値をセットして実行
    animObserver(targets, -250); 
    // target2をセット
    animObserver(targets2, -600);
}